Page MenuHomePhabricator

Switchdc: mediawiki, use etcd-driven config
Closed, ResolvedPublic

Description

MediaWiki should move $wmfMasterDatacenter and $wgReadOnly to etcd in time for the switchback.
The mediawiki library needs to be updated or removed and conftool need to be used instead of a scap deploy.

Event Timeline

Volans created this task.Apr 19 2017, 11:15 PM

Change 347537 had a related patch set uploaded (by Krinkle; owner: Tim Starling):
[operations/mediawiki-config@master] Use EtcdConfig in beta cluster only

https://gerrit.wikimedia.org/r/347537

Change 347537 merged by jenkins-bot:
[operations/mediawiki-config@master] Use EtcdConfig in beta cluster only

https://gerrit.wikimedia.org/r/347537

Volans claimed this task.May 2 2017, 10:21 AM
Volans moved this task from Backlog to In Progress on the SRE-tools board.

Change 351279 had a related patch set uploaded (by Volans; owner: Volans):
[operations/switchdc@master] MediaWiki: add siteinfo check

https://gerrit.wikimedia.org/r/351279

Change 351295 had a related patch set uploaded (by Volans; owner: Volans):
[operations/switchdc@master] Mediawiki: allow to manage ReadOnly and master DC via conftool

https://gerrit.wikimedia.org/r/351295

Change 351296 had a related patch set uploaded (by Volans; owner: Volans):
[operations/switchdc@master] MediaWiki tasks: switch to use Conftool based config

https://gerrit.wikimedia.org/r/351296

Volans moved this task from In Progress to In Code Review on the SRE-tools board.May 2 2017, 11:42 AM

Change 351279 merged by Volans:
[operations/switchdc@master] MediaWiki: add siteinfo check

https://gerrit.wikimedia.org/r/351279

Change 351295 merged by Volans:
[operations/switchdc@master] Mediawiki: allow to manage ReadOnly and master DC via conftool

https://gerrit.wikimedia.org/r/351295

Change 351296 merged by Volans:
[operations/switchdc@master] MediaWiki tasks: switch to use Conftool based config

https://gerrit.wikimedia.org/r/351296

Volans closed this task as Resolved.May 3 2017, 10:53 AM
Volans moved this task from In Code Review to Done on the SRE-tools board.

Tasks implemented and tested. They were lated reverted because etcd was not activated in MediaWiki. Resolving